/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Fauna Terrestre de Canarias", picture: "images/games/fauna-terrestre.png", color: "game-fauna-terrestre", resHeight: false };

var categories = [
	{ name: 'Animales Domésticos', score: 1 }, 				// categoriesId[0]
	{ name: 'me gusta el campo', score: 1 }, 				// categoriesId[1]
	{ name: 'me gusta la playa', score: 1 }, 				// categoriesId[2]
	{ name: 'mamíferos', score: 3 }, 						// categoriesId[3]
	{ name: 'ovíparos', score: 3 }, 						// categoriesId[4]
	{ name: 'usado en la gastronomía canaria', score: 4 }, 	// categoriesId[5]
	{ name: 'Endémicas y Residentes', score: 5, description: '<span class="span-description">Clasifica en las carpetas las especies que sean únicas de nuestro archipiélago o por el contrario, sean residentes o hayan sido introducidas en nuestra tierra</span>' }, 			// categoriesId[6]
	{ name: 'Mi granja', score: 5, description: '<span class="span-description">Imagina que eres un granjero y tienes una granja propia. ¿Qué animales tendrías a tu cuidado? Acomola un mínimo de 3 animales para tu granja</span>' } 				// categoriesId[7]
];

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [ categoriesId[] ], resHeight: false },

	{ name: 'lagarto gigante de El Hierro', picture: 'images/items/lagarto-gigante.png', color: 'light-cyan', categoriesId: [categoriesId[1],categoriesId[4]], resHeight: false },			// itemsId[0]
	{ name: 'Tortuga común', picture: 'images/items/tortuga-comun.png', color: 'dark-green', categoriesId: [categoriesId[1],categoriesId[4]], resHeight: false },										// itemsId[1]
	{ name: 'lisa común', picture: 'images/items/lisa.png', color: 'dark-cyan', categoriesId: [categoriesId[1]], resHeight: false },									// itemsId[2]
	{ name: 'perenquén', picture: 'images/items/perenquen.png', color: 'light-cyan', categoriesId: [categoriesId[1],categoriesId[4]], resHeight: false },				// itemsId[3]
	{ name: 'lagarto moteado', picture: 'images/items/lagarto-moteado.png', color: 'light-purple', categoriesId: [categoriesId[1],categoriesId[4]], resHeight: false },						// itemsId[4]
	{ name: 'Burro', picture: 'images/items/burro.png', color: 'dark-cyan', categoriesId: [categoriesId[0],categoriesId[1],categoriesId[3]], resHeight: false},									// itemsId[5]
	{ name: 'Baifo', picture: 'images/items/baifo.png', color: 'light-cyan', categoriesId: [categoriesId[0],categoriesId[1],categoriesId[3],categoriesId[5]], resHeight: false },			// itemsId[6]
	{ name: 'cerdo', picture: 'images/items/cerdo.png', color: 'light-yellow', categoriesId: [categoriesId[0],categoriesId[1],categoriesId[3],categoriesId[5]], resHeight: true },	// itemsId[7]
	{ name: 'ardilla de Fuerteventura', picture: 'images/items/ardilla.png', color: 'dark-orange', categoriesId: [categoriesId[2],categoriesId[3]], resHeight: false},									// itemsId[8]
	{ name: 'babosa', picture: 'images/items/babosa.png', color: 'dark-cyan', categoriesId: [categoriesId[1],categoriesId[2],categoriesId[4]], resHeight: false},									// itemsId[9]
	{ name: 'cabra de fuerteventura', picture: 'images/items/cabra-fuerteventura.png', color: 'light-yellow', categoriesId: [categoriesId[0],categoriesId[1],categoriesId[3],categoriesId[5]], resHeight: false },		// itemsId[10]
	{ name: 'cochinilla', picture: 'images/items/cochinilla.png', color: 'normal-cyan', categoriesId: [categoriesId[1],categoriesId[4]], resHeight: false },							// itemsId[11]
	{ name: 'cochino negro', picture: 'images/items/cochino-negro.png', color: 'dark-orange', categoriesId: [categoriesId[0],categoriesId[3],categoriesId[5]], resHeight: false },								// itemsId[12]
	{ name: 'foca monje', picture: 'images/items/foca-monje.png', color: 'normal-pink', categoriesId: [categoriesId[2],categoriesId[3]], resHeight: false },																// itemsId[13]
	{ name: 'musaraña de Canarias', picture: 'images/items/musarana.png', color: 'light-yellow', categoriesId: [categoriesId[1],categoriesId[3]], resHeight: false },		// itemsId[14]
	{ name: 'presa majorero', picture: 'images/items/perro-majorero.png', color: 'dark-green', categoriesId: [categoriesId[0],categoriesId[1],categoriesId[2],categoriesId[3]], resHeight: false },								// itemsId[15]
	{ name: 'murciélago orejudo', picture: 'images/items/murcielago.png', color: 'light-purple', categoriesId: [categoriesId[1],categoriesId[3]], resHeight: false },					// itemsId[16]
	{ name: 'mula', picture: 'images/items/mula.png', color: 'normal-orange', categoriesId: [categoriesId[0],categoriesId[1],categoriesId[3]], resHeight: true },						// itemsId[17]
];

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

// Añadimos el campo special folder a la categoría Vegano
_.extend(categories[6], {
	special: {
		folder: [
			{ name: 'Soy Residente canaria', content: [itemsId[12], itemsId[10], itemsId[8], itemsId[5], itemsId[6], itemsId[12],itemsId[7], itemsId[1], itemsId[11], itemsId[13], itemsId[15], itemsId[17]] },
			{ name: 'Soy endémica canaria', content: [itemsId[14], itemsId[0], itemsId[2], itemsId[3], itemsId[4], itemsId[16]] }
		],
		minGroupSize: 1
	}
});

_.extend(categories[7], {
	special: {
		folder: [
			{ name: 'Mi granja', content: [itemsId[5], itemsId[6], itemsId[7], itemsId[9], itemsId[10], itemsId[12], itemsId[15], itemsId[17]] }			
		],
		minGroupSize: 3
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});